### Enumeration

# Shumate GeometryType

since: 1.2

#### Declaration

    enum Shumate.GeometryType

#### Description [src]

A type of geometry.

Available since: 1.2

#### Members

`SHUMATE_GEOMETRY_TYPE_UNKNOWN`

  Unknown geometry type.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.2
`SHUMATE_GEOMETRY_TYPE_POINT`

  A single point.

  - Value: `1`
  - Nickname: `point`
  - Available since: 1.2
`SHUMATE_GEOMETRY_TYPE_MULTIPOINT`

  A collection of points.

  - Value: `2`
  - Nickname: `multipoint`
  - Available since: 1.2
`SHUMATE_GEOMETRY_TYPE_LINESTRING`

  A single line.

  - Value: `3`
  - Nickname: `linestring`
  - Available since: 1.2
`SHUMATE_GEOMETRY_TYPE_MULTILINESTRING`

  A collection of lines.

  - Value: `4`
  - Nickname: `multilinestring`
  - Available since: 1.2
`SHUMATE_GEOMETRY_TYPE_POLYGON`

  A single polygon.

  - Value: `5`
  - Nickname: `polygon`
  - Available since: 1.2
`SHUMATE_GEOMETRY_TYPE_MULTIPOLYGON`

  A collection of polygons.

  - Value: `6`
  - Nickname: `multipolygon`
  - Available since: 1.2